- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- NOTES
- HISTORY
- SEE ALSO
- COPYRIGHT

# NAME

SSL_CTX_set_min_proto_version, SSL_CTX_set_max_proto_version, SSL_CTX_get_min_proto_version, SSL_CTX_get_max_proto_version, SSL_set_min_proto_version, SSL_set_max_proto_version, SSL_get_min_proto_version, SSL_get_max_proto_version - Get and set minimum and maximum supported protocol version

# SYNOPSIS

     #include <openssl/ssl.h>

     int SSL_CTX_set_min_proto_version(SSL_CTX *ctx, int version);
     int SSL_CTX_set_max_proto_version(SSL_CTX *ctx, int version);
     int SSL_CTX_get_min_proto_version(SSL_CTX *ctx);
     int SSL_CTX_get_max_proto_version(SSL_CTX *ctx);

     int SSL_set_min_proto_version(SSL *ssl, int version);
     int SSL_set_max_proto_version(SSL *ssl, int version);
     int SSL_get_min_proto_version(SSL *ssl);
     int SSL_get_max_proto_version(SSL *ssl);

# DESCRIPTION

The functions get or set the minimum and maximum supported protocol versions for the ctx or ssl. This works in combination with the options set via RETURN VALUES

These setter functions return 1 on success and 0 on failure. The getter functions return the configured version or 0 for auto-configuration of lowest or highest protocol, respectively.

# NOTES

All these functions are implemented using macros.

# HISTORY

The setter functions were added in OpenSSL 1.1.0. The getter functions were added in OpenSSL 1.1.1.

# SEE ALSO

SSL_CONF_cmd(3)

# COPYRIGHT

Copyright 2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.